[devscripts] 01/01: Remove parameters from bash shebang line.

Benjamin Drung bdrung at moszumanska.debian.org
Thu Nov 21 11:03:09 UTC 2013


This is an automated email from the git hooks/post-receive script.

bdrung pushed a commit to branch master
in repository devscripts.

commit c9595cf82e090a263651a67d2328d94e817cbc7d
Author: Benjamin Drung <bdrung at debian.org>
Date:   Thu Nov 21 12:01:47 2013 +0100

    Remove parameters from bash shebang line.
    
    By separately setting "set -e", the script will behave the same if called with
    bash directly.
---
 scripts/archpath.sh          |    4 +++-
 scripts/cvs-debi.sh          |    4 +++-
 scripts/cvs-debrelease.sh    |    4 +++-
 scripts/diff2patches.sh      |    4 +++-
 scripts/dpkg-genbuilddeps.sh |    3 ++-
 scripts/whodepends.sh        |    4 +++-
 scripts/wnpp-alert.sh        |    4 +++-
 scripts/wnpp-check.sh        |    4 +++-
 8 files changed, 23 insertions(+), 8 deletions(-)

diff --git a/scripts/archpath.sh b/scripts/archpath.sh
index 4770c98..6c2465c 100755
--- a/scripts/archpath.sh
+++ b/scripts/archpath.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/bash
 
 # Output arch (tla/Bazaar) archive names, with support for branches
 
@@ -17,6 +17,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
+set -e
+
 # Which arch implementation should we use?
 if type baz >/dev/null 2>&1; then
 	PROGRAM=baz
diff --git a/scripts/cvs-debi.sh b/scripts/cvs-debi.sh
index 6c6a3bc..a310de1 100755
--- a/scripts/cvs-debi.sh
+++ b/scripts/cvs-debi.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/bash
 
 # cvs-debi:  Install current version of deb package
 # cvs-debc:  List contents of current version of deb package
@@ -21,6 +21,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
+set -e
+
 PROGNAME=`basename $0 .sh`  # .sh for debugging purposes
 
 usage () {
diff --git a/scripts/cvs-debrelease.sh b/scripts/cvs-debrelease.sh
index 06b153e..b55e32e 100755
--- a/scripts/cvs-debrelease.sh
+++ b/scripts/cvs-debrelease.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/bash
 
 # cvs-debrelease: Call dupload/dput to upload package built with
 #                 cvs-buildpackage or cvs-debuild
@@ -21,6 +21,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
+set -e
+
 PROGNAME=`basename $0 .sh`  # .sh for debugging purposes
 
 usage () {
diff --git a/scripts/diff2patches.sh b/scripts/diff2patches.sh
index a26964c..491b634 100755
--- a/scripts/diff2patches.sh
+++ b/scripts/diff2patches.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/bash
 
 ####################
 #    Copyright (C) 2007, 2008 by Raphael Geissert <atomo64 at gmail.com>
@@ -20,6 +20,8 @@
 #    Public License 3 can be found in '/usr/share/common-licenses/GPL-3'.
 ####################
 
+set -e
+
 PROGNAME=$(basename "$0")
 
 usage () {
diff --git a/scripts/dpkg-genbuilddeps.sh b/scripts/dpkg-genbuilddeps.sh
index 9721830..1744e10 100755
--- a/scripts/dpkg-genbuilddeps.sh
+++ b/scripts/dpkg-genbuilddeps.sh
@@ -1,4 +1,5 @@
-#!/bin/bash -e
+#!/bin/bash
+set -e
 
 PROGNAME=`basename $0`
 
diff --git a/scripts/whodepends.sh b/scripts/whodepends.sh
index 1262276..7d54283 100755
--- a/scripts/whodepends.sh
+++ b/scripts/whodepends.sh
@@ -1,9 +1,11 @@
-#!/bin/bash -e
+#!/bin/bash
 # whodepends - show maintainers a package depends upon
 # by Moshe Zadka <moshez at debian.org> and
 # modified by Joshua Kwan <joshk at triplehelix.org>
 # This script is in the public domain.
 
+set -e
+
 PROGNAME=`basename $0`
 
 usage () {
diff --git a/scripts/wnpp-alert.sh b/scripts/wnpp-alert.sh
index 8832aed..da3be4b 100755
--- a/scripts/wnpp-alert.sh
+++ b/scripts/wnpp-alert.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/bash
 
 # wnpp-alert -- check for installed packages which have been orphaned
 #               or put up for adoption
@@ -13,6 +13,8 @@
 # And I (Julian) tried it with Perl's LWP, but this is _much_ faster
 # (startup time is huge).  And even Perl with wget is slower by 50%....
 
+set -e
+
 PROGNAME="${0##*/}"
 CACHEDIR=~/.devscripts_cache
 CACHEDDIFF="${CACHEDIR}/wnpp-diff"
diff --git a/scripts/wnpp-check.sh b/scripts/wnpp-check.sh
index 5870484..ae01d2b 100755
--- a/scripts/wnpp-check.sh
+++ b/scripts/wnpp-check.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/bash
 
 # wnpp-check -- check for software being packaged or requested
 
@@ -8,6 +8,8 @@
 #
 # Adapted from wnpp-alert, by Arthur Korn <arthur at korn.ch>
 
+set -e
+
 PACKAGES="$@"
 CURLORWGET=""
 GETCOMMAND=""

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/collab-maint/devscripts.git



More information about the devscripts-devel mailing list